Subject: bug#1808: 23.0.60; picture-mode not considering double-width characters alignment

From: Eli Zaretskii <[email-masked]>
Date: Mon, 11 Jan 2016 20:28:07 +0200

> From: Alan J Third <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 10 Jan 2016 20:11:45 +0000
> 
> I've written a small patch that I think fixes all these issues.
> 
> It works out how many columns the characters that are about to be
> over-written take up, then deletes them as before, and finally inserts a
> number of spaces to fill the gap (if they're needed). Then the old code
> inserts the new character.
> 
> Spaces seemed the like the safest option, but it could be easily changed.

Thanks, this looks correct to me.  Please commit, and I think we can
close the bug.